<?php



$getParceiro = filter_input_array(INPUT_POST, FILTER_DEFAULT);

$setParceiro = array_map("strip_tags", $getParceiro);

$parceiro = array_map("trim", $setParceiro);





$action = $parceiro['action'];

$jSon = array();



unset($parceiro['action']);





if ($action):

    require ('../../../_app/Config.inc.php');

    $Create = new Create;

    $Read = new Read;

    $Upload = new Upload('../../uploads/parceiros/');

endif;



switch ($action):

    case 'upload':

        if (isset($_FILES['image']['tmp_name'])):

            $Upload->Image($_FILES['image']);

            $parceiro['parceiro_img'] = $Upload->getResult();

            if ($Upload->getError()):

                $jSon['error'] = [$Upload->getError()[0], $Upload->getError()[1]];

            endif;

            

            $Create->ExeCreate("tp_parceiros", $parceiro);

            $jSon['error'] = ['Imagem do parceiro cadastrada com sucesso', WS_ACCEPT];

            

        else:

            $jSon['error'] = ['Selecione uma imagem para fazer o upload', WS_ERROR];

        endif;



        break;



    default :

        $jSon['error'] = ["Erro ao selecionar Ação!", WS_ERROR];

endswitch;



echo json_encode($jSon);

?>

